<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>

<!--
*   @file    plugin.xml
*   @version 1.0.0
*
*   @brief   AUTOSAR Icu_TS_T2D41M10I0R0 - Tresos Studio plugin configuration file.
*   @details This file contains the configuration for and Icu Tresos Studio plugin.
-->
<!--
====================================================================================================
*   Project              : AUTOSAR 4.3 MCAL
*   Platform             : PA
*   Peripheral           : eMIOS SIU
*   Dependencies         : none
*
*   Autosar Version      : 4.3.1
*   Autosar Revision     : ASR_REL_4_3_REV_0001
*   Autosar Conf.Variant :
*   SW Version           : 1.0.0
*   Build Version        : MPC5777C_MCAL_1_0_0_RTM_ASR_REL_4_3_REV_0001_20190315
*
*   Copyright 2006-2016 Freescale Semiconductor, Inc.  Copyright 2017-2019 NXP
*   All Rights Reserved.
====================================================================================================
====================================================================================================
====================================================================================================
-->

<plugin>
  <extension point="dreisoft.tresos.launcher2.plugin.module"
             id="Icu_TS_T2D41M10I0R0_ModuleId"
             name="Icu_TS_T2D41M10I0R0 Module">

    <module id="Icu_TS_T2D41M10I0R0"
            label="Icu"
            mandatory="false"
            allowMultiple="false"
            description="Icu BSW module"
            copyright="Copyright 2006-2016 Freescale Semiconductor, Inc.  Copyright 2017-2019 NXP"
            swVersionMajor="1"
            swVersionMinor="0"
            swVersionPatch="0"
            swVersionSuffix="RTM"
            specVersionMajor="4"
            specVersionMinor="3"
            specVersionPatch="1"
            specVersionSuffix="Rev_0000"
            relVersionPrefix="AUTOSAR"
            relVersionMajor="4"
            relVersionMinor="3"
            relVersionPatch="1"
            relVersionSuffix="0001"
            categoryType="Icu"
            categoryLayer="MCAL"
            categoryCategory="ECU Firmware"
            categoryComponent="ECUC">
      <ecuType target="PA" derivate="MPC5777C"/>

    </module>
    </extension>
   
  <extension point="dreisoft.tresos.launcher2.plugin.configuration"
             id="Icu_TS_T2D41M10I0R0_ConfigId"
             name="Icu_TS_T2D41M10I0R0 Configuration">
    <configuration moduleId="Icu_TS_T2D41M10I0R0">
      <schema>
        <manager class="dreisoft.tresos.autosar2.resourcehandling.AutosarSchemaManager"/>
          <!-- register the main xdm configuration schema for Icu -->
          <resource value="config/Icu.xdm" type="xdm"/>




      </schema>

      <data>
        <manager class="dreisoft.tresos.autosar2.resourcehandling.AutosarConfigManager"/>
        


        <schemaNode path="ASPath:/TS_T2D41M10I0R0/Icu"/>
      </data>

      <editor id="Icu_TS_T2D41M10I0R0_EditorId"
              label="Default"
              tooltip="Icu BSW module">
        <class class="dreisoft.tresos.launcher2.editor.GenericConfigEditor">
          <parameter name="schema" value="ASPath:/TS_T2D41M10I0R0/Icu"/>
          <parameter name="title" value="Icu"/>
          <parameter name="noTabs" value="false"/>
          <parameter name="noLinks" value="true"/>
          <parameter name="groupLinks" value="false"/>
          <parameter name="groupContainers" value="false"/>
          <parameter name="groupTables" value="true"/>
          <parameter name="optionalGeneralTab" value="true"/>
        </class>
      </editor>
    </configuration>
  </extension>

 <extension point="dreisoft.tresos.launcher2.plugin.generator"
             id="EPCGenerator"
             name="EPC Generator">
  <generator moduleId="Icu_TS_T2D41M10I0R0"
               id="Icu_TS_T2D41M10I0R0"
               class="dreisoft.tresos.autosar2.generator.EPCFileGenerator">
   
  <parameter name="variantAware" value="true"/>
  <parameter name="cfgFilePath" value="output"/>
  <parameter name="generateAllModules" value="false"/>
  <parameter name="generateIntoOneFile" value="false"/>
  <parameter name="contentType" value="asc:4.3.1"/>
  </generator>
 </extension>
  
 <extension point="dreisoft.tresos.generator.api.plugin.generator" id="Icu_TS_T2D41M10I0R0_NGGeneratorId">
          <generator moduleId="Icu_TS_T2D41M10I0R0"
                     class="dreisoft.tresos.generator.ng.api.NGGenerator"
                     id="Icu_TS_T2D41M10I0R0_UniqueNGGeneratorId"
                     modes="generate,generate_PC,generate_PB,verify"
                     step="post"> <!-- run after code-generation -->
              <parameter name="buildfile" value="ant_generator.xml"/>
           <parameter name="variantAware" value="true"/>
          </generator>
  </extension>
      <extension point="dreisoft.tresos.launcher2.plugin.generator"
              id="Icu_TS_T2D41M10I0R0_GeneratorId"
              name="Icu_TS_T2D41M10I0R0 Generator">
    <generator moduleId="Icu_TS_T2D41M10I0R0"
               class="dreisoft.tresos.launcher2.generator.TemplateBasedCodeGenerator">
  
    <parameter name="variantAware" value="true"/>
    <!-- swcd modes and template path parameters -->
    <parameter name="mode_type" mode="generate_swcd" value="generate"></parameter>
    <parameter name="mode_type" mode="verify_swcd" value="verify"></parameter>
    <parameter name="templates" mode="generate_swcd,verify_swcd" value="generate_swcd"></parameter>   

      <!-- common template path parameters -->
      <parameter name="templates" mode="generate,verify" value="generate,generate_PB,generate_PC"/>
      <!-- custom generators -->
      <parameter name="templates" mode="generate_PC" value="generate,generate_PC"/>
      <parameter name="templates" mode="generate_PB" value="generate,generate_PB"/>
      <!-- custom template paths -->
      <parameter name="mode_type" mode="generate_PC" value="generate"/>
      <parameter name="mode_type" mode="generate_PB" value="generate"/>
    </generator>
  </extension>
 
  <extension point="org.eclipse.help.toc">
    <toc file="anchors.xml" primary="true"/>
    <toc file="$nl$/Icu/toc.xml" primary="false"/>
    <!-- toc file="$nl$/ReleaseNotes/toc.xml" primary="false"/ !-->
  </extension>
</plugin>
